library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity DFF1NC is
    Port ( DIN : in std_logic;
	        CLK : in std_logic;
			  CLR : in std_logic;
			  QOUT : out std_logic);
end DFF1NC;

architecture behavioral of DFF1NC is

begin

process (clk, clr) begin
   if (clr = '1') then QOUT <= '0';
	elsif (clk'event and clk = '0') then
	QOUT <= DIN;
	end if;
	end process;

end behavioral;
