
###############################################################################
## wave_ncsim.sv
###############################################################################

  window new WaveWindow  -name  "Waves for Spartan-6 GTP Wizard Example Design"
  waveform  using  "Waves for Spartan-6 GTP Wizard Example Design"
  
  waveform  add  -label FRAME_CHECK_MODULE -comment tile0_frame_check0
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check0:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check0:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile0_frame_check0:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile0_frame_check0:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check0:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check0:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile0_frame_check1
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check1:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check1:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile0_frame_check1:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile0_frame_check1:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check1:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile0_frame_check1:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile1_frame_check0
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check0:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check0:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile1_frame_check0:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile1_frame_check0:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check0:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check0:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile1_frame_check1
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check1:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check1:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile1_frame_check1:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile1_frame_check1:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check1:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile1_frame_check1:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile2_frame_check0
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check0:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check0:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile2_frame_check0:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile2_frame_check0:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check0:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check0:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile2_frame_check1
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check1:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check1:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile2_frame_check1:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile2_frame_check1:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check1:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile2_frame_check1:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile3_frame_check0
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check0:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check0:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile3_frame_check0:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile3_frame_check0:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check0:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check0:ERROR_COUNT
  waveform  add  -label FRAME_CHECK_MODULE -comment tile3_frame_check1
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check1:begin_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check1:track_data_r
  waveform  add  -siganls  :ser16_top_i+delimiter+tile3_frame_check1:data_error_detected_r
  wavefrom  add  -siganls  :ser16_top_i+delimiter+tile3_frame_check1:start_of_packet_detected_r
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check1:RX_DATA
  waveform  add  -signals  :ser16_top_i+delimiter+tile3_frame_check1:ERROR_COUNT

  waveform  add  -label TILE0_SER16 -comment TILE0_SER16
  waveform  add  -label Loopback_and_Powerdown_Ports  -comment  Loopback_and_Powerdown_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:LOOPBACK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:LOOPBACK1_IN
  waveform  add  -label PLL_Ports  -comment  PLL_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:CLK00_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:CLK01_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:PLLLKDET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:PLLLKDET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RESETDONE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RESETDONE1_OUT
  waveform  add  -label Receive_Ports_-_8b10b_Decoder  -comment  Receive_Ports_-_8b10b_Decoder
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXDISPERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXDISPERR1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXNOTINTABLE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXNOTINTABLE1_OUT
  waveform  add  -label Receive_Ports_-_Comma_Detection_and_Alignment  -comment  Receive_Ports_-_Comma_Detection_and_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXBYTEISALIGNED0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXBYTEISALIGNED1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXBYTEREALIGN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXBYTEREALIGN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXCOMMADET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXCOMMADET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENMCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENMCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXSLIDE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXSLIDE1_IN
  waveform  add  -label Receive_Ports_-_PRBS_Detection  -comment  Receive_Ports_-_PRBS_Detection
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:PRBSCNTRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:PRBSCNTRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXPRBSERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXPRBSERR1_OUT
  waveform  add  -label Receive_Ports_-_RX_Data_Path_interface  -comment  Receive_Ports_-_RX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXDATA0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXDATA1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXRECCLK0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXRECCLK1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXUSRCLK21_IN
  waveform  add  -label Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR  -comment  Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXEQMIX0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXEQMIX1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXP0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXP1_IN
  waveform  add  -label Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment  -comment  Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:RXPMASETPHASE1_IN
  waveform  add  -label TX/RX_Datapath_Ports  -comment  TX/RX_Datapath_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPCLKFBEAST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPCLKFBWEST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPCLKOUT0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:GTPCLKOUT1_OUT
  waveform  add  -label Transmit_Ports_-_8b10b_Encoder_Control  -comment  Transmit_Ports_-_8b10b_Encoder_Control
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXCHARISK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXCHARISK1_IN
  waveform  add  -label Transmit_Ports_-_TX_Buffer_and_Phase_Alignment  -comment  Transmit_Ports_-_TX_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXPMASETPHASE1_IN
  waveform  add  -label Transmit_Ports_-_TX_Data_Path_interface  -comment  Transmit_Ports_-_TX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXDATA0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXDATA1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXUSRCLK21_IN
  waveform  add  -label Transmit_Ports_-_TX_Driver_and_OOB_signalling  -comment  Transmit_Ports_-_TX_Driver_and_OOB_signalling
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXP0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXP1_OUT
  waveform  add  -label Transmit_Ports_-_TX_PRBS_Generator  -comment  Transmit_Ports_-_TX_PRBS_Generator
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXPRBSFORCEERR0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile0_SER16_i:TXPRBSFORCEERR1_IN

  waveform  add  -label TILE1_SER16 -comment TILE1_SER16
  waveform  add  -label Loopback_and_Powerdown_Ports  -comment  Loopback_and_Powerdown_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:LOOPBACK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:LOOPBACK1_IN
  waveform  add  -label PLL_Ports  -comment  PLL_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:CLK00_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:CLK01_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:PLLLKDET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:PLLLKDET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RESETDONE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RESETDONE1_OUT
  waveform  add  -label Receive_Ports_-_8b10b_Decoder  -comment  Receive_Ports_-_8b10b_Decoder
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXDISPERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXDISPERR1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXNOTINTABLE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXNOTINTABLE1_OUT
  waveform  add  -label Receive_Ports_-_Comma_Detection_and_Alignment  -comment  Receive_Ports_-_Comma_Detection_and_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXBYTEISALIGNED0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXBYTEISALIGNED1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXBYTEREALIGN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXBYTEREALIGN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXCOMMADET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXCOMMADET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENMCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENMCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXSLIDE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXSLIDE1_IN
  waveform  add  -label Receive_Ports_-_PRBS_Detection  -comment  Receive_Ports_-_PRBS_Detection
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:PRBSCNTRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:PRBSCNTRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXPRBSERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXPRBSERR1_OUT
  waveform  add  -label Receive_Ports_-_RX_Data_Path_interface  -comment  Receive_Ports_-_RX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXDATA0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXDATA1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXRECCLK0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXRECCLK1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXUSRCLK21_IN
  waveform  add  -label Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR  -comment  Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXEQMIX0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXEQMIX1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXP0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXP1_IN
  waveform  add  -label Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment  -comment  Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:RXPMASETPHASE1_IN
  waveform  add  -label TX/RX_Datapath_Ports  -comment  TX/RX_Datapath_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPCLKFBEAST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPCLKFBWEST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPCLKOUT0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:GTPCLKOUT1_OUT
  waveform  add  -label Transmit_Ports_-_8b10b_Encoder_Control  -comment  Transmit_Ports_-_8b10b_Encoder_Control
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXCHARISK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXCHARISK1_IN
  waveform  add  -label Transmit_Ports_-_TX_Buffer_and_Phase_Alignment  -comment  Transmit_Ports_-_TX_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXPMASETPHASE1_IN
  waveform  add  -label Transmit_Ports_-_TX_Data_Path_interface  -comment  Transmit_Ports_-_TX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXDATA0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXDATA1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXUSRCLK21_IN
  waveform  add  -label Transmit_Ports_-_TX_Driver_and_OOB_signalling  -comment  Transmit_Ports_-_TX_Driver_and_OOB_signalling
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXP0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXP1_OUT
  waveform  add  -label Transmit_Ports_-_TX_PRBS_Generator  -comment  Transmit_Ports_-_TX_PRBS_Generator
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXPRBSFORCEERR0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile1_SER16_i:TXPRBSFORCEERR1_IN

  waveform  add  -label TILE2_SER16 -comment TILE2_SER16
  waveform  add  -label Loopback_and_Powerdown_Ports  -comment  Loopback_and_Powerdown_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:LOOPBACK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:LOOPBACK1_IN
  waveform  add  -label PLL_Ports  -comment  PLL_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:CLK00_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:CLK01_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:PLLLKDET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:PLLLKDET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RESETDONE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RESETDONE1_OUT
  waveform  add  -label Receive_Ports_-_8b10b_Decoder  -comment  Receive_Ports_-_8b10b_Decoder
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXDISPERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXDISPERR1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXNOTINTABLE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXNOTINTABLE1_OUT
  waveform  add  -label Receive_Ports_-_Comma_Detection_and_Alignment  -comment  Receive_Ports_-_Comma_Detection_and_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXBYTEISALIGNED0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXBYTEISALIGNED1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXBYTEREALIGN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXBYTEREALIGN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXCOMMADET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXCOMMADET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENMCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENMCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXSLIDE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXSLIDE1_IN
  waveform  add  -label Receive_Ports_-_PRBS_Detection  -comment  Receive_Ports_-_PRBS_Detection
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:PRBSCNTRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:PRBSCNTRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXPRBSERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXPRBSERR1_OUT
  waveform  add  -label Receive_Ports_-_RX_Data_Path_interface  -comment  Receive_Ports_-_RX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXDATA0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXDATA1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXRECCLK0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXRECCLK1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXUSRCLK21_IN
  waveform  add  -label Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR  -comment  Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXEQMIX0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXEQMIX1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXP0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXP1_IN
  waveform  add  -label Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment  -comment  Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:RXPMASETPHASE1_IN
  waveform  add  -label TX/RX_Datapath_Ports  -comment  TX/RX_Datapath_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPCLKFBEAST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPCLKFBWEST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPCLKOUT0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:GTPCLKOUT1_OUT
  waveform  add  -label Transmit_Ports_-_8b10b_Encoder_Control  -comment  Transmit_Ports_-_8b10b_Encoder_Control
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXCHARISK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXCHARISK1_IN
  waveform  add  -label Transmit_Ports_-_TX_Buffer_and_Phase_Alignment  -comment  Transmit_Ports_-_TX_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXPMASETPHASE1_IN
  waveform  add  -label Transmit_Ports_-_TX_Data_Path_interface  -comment  Transmit_Ports_-_TX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXDATA0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXDATA1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXUSRCLK21_IN
  waveform  add  -label Transmit_Ports_-_TX_Driver_and_OOB_signalling  -comment  Transmit_Ports_-_TX_Driver_and_OOB_signalling
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXP0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXP1_OUT
  waveform  add  -label Transmit_Ports_-_TX_PRBS_Generator  -comment  Transmit_Ports_-_TX_PRBS_Generator
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXPRBSFORCEERR0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile2_SER16_i:TXPRBSFORCEERR1_IN

  waveform  add  -label TILE3_SER16 -comment TILE3_SER16
  waveform  add  -label Loopback_and_Powerdown_Ports  -comment  Loopback_and_Powerdown_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:LOOPBACK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:LOOPBACK1_IN
  waveform  add  -label PLL_Ports  -comment  PLL_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:CLK00_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:CLK01_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:PLLLKDET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:PLLLKDET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RESETDONE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RESETDONE1_OUT
  waveform  add  -label Receive_Ports_-_8b10b_Decoder  -comment  Receive_Ports_-_8b10b_Decoder
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXDISPERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXDISPERR1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXNOTINTABLE0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXNOTINTABLE1_OUT
  waveform  add  -label Receive_Ports_-_Comma_Detection_and_Alignment  -comment  Receive_Ports_-_Comma_Detection_and_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXBYTEISALIGNED0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXBYTEISALIGNED1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXBYTEREALIGN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXBYTEREALIGN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXCOMMADET0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXCOMMADET1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENMCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENMCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPCOMMAALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPCOMMAALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXSLIDE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXSLIDE1_IN
  waveform  add  -label Receive_Ports_-_PRBS_Detection  -comment  Receive_Ports_-_PRBS_Detection
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:PRBSCNTRESET0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:PRBSCNTRESET1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXPRBSERR0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXPRBSERR1_OUT
  waveform  add  -label Receive_Ports_-_RX_Data_Path_interface  -comment  Receive_Ports_-_RX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXDATA0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXDATA1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXRECCLK0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXRECCLK1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXUSRCLK21_IN
  waveform  add  -label Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR  -comment  Receive_Ports_-_RX_Driver,OOB_signalling,Coupling_and_Eq.,CDR
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXEQMIX0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXEQMIX1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXP0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXP1_IN
  waveform  add  -label Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment  -comment  Receive_Ports_-_RX_Elastic_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:RXPMASETPHASE1_IN
  waveform  add  -label TX/RX_Datapath_Ports  -comment  TX/RX_Datapath_Ports
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPCLKFBEAST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPCLKFBWEST_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPCLKOUT0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:GTPCLKOUT1_OUT
  waveform  add  -label Transmit_Ports_-_8b10b_Encoder_Control  -comment  Transmit_Ports_-_8b10b_Encoder_Control
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXCHARISK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXCHARISK1_IN
  waveform  add  -label Transmit_Ports_-_TX_Buffer_and_Phase_Alignment  -comment  Transmit_Ports_-_TX_Buffer_and_Phase_Alignment
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXENPMAPHASEALIGN0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXENPMAPHASEALIGN1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXPMASETPHASE0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXPMASETPHASE1_IN
  waveform  add  -label Transmit_Ports_-_TX_Data_Path_interface  -comment  Transmit_Ports_-_TX_Data_Path_interface
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXDATA0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXDATA1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXUSRCLK0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXUSRCLK1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXUSRCLK20_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXUSRCLK21_IN
  waveform  add  -label Transmit_Ports_-_TX_Driver_and_OOB_signalling  -comment  Transmit_Ports_-_TX_Driver_and_OOB_signalling
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXN0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXN1_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXP0_OUT
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXP1_OUT
  waveform  add  -label Transmit_Ports_-_TX_PRBS_Generator  -comment  Transmit_Ports_-_TX_PRBS_Generator
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXENPRBSTST0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXENPRBSTST1_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXPRBSFORCEERR0_IN
  waveform  add  -signals  :SER16_top_i:SER16_i:tile3_SER16_i:TXPRBSFORCEERR1_IN

  console submit -using simulator -wait no "run 249 us"

