###############################################################################
## isim_wave.tcl
###############################################################################
onerror {resume}

wcfg new
divider add "FRAME CHECK MODULE tile0_frame_check0"
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check0/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check1"
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE0_frame_check1/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check0"
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check0/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check1"
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE1_frame_check1/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check0"
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check0/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check1"
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE2_frame_check1/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check0"
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check0/ERROR_COUNT
divider add "FRAME CHECK MODULE tile0_frame_check1"
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/begin_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/track_data_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/data_error_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/start_of_packet_detected_r
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/RX_DATA
wave add /DEMO_TB/ser16a_top_i/TILE3_frame_check1/ERROR_COUNT
divider add "Loopback and Powerdown Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/LOOPBACK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/LOOPBACK1_IN
divider add "PLL Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/CLK00_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/CLK01_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/PLLLKDET0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/PLLLKDET1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RESETDONE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RESETDONE1_OUT
divider add "Receive Ports - 8b10b Decoder"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXDISPERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXDISPERR1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXNOTINTABLE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXNOTINTABLE1_OUT
divider add "Receive Ports - PRBS Detection"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/PRBSCNTRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/PRBSCNTRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXPRBSERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXPRBSERR1_OUT
divider add "Receive Ports - RX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXDATA0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXDATA1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXRECCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXRECCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXUSRCLK21_IN
divider add "Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXP0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXP1_IN
divider add "Receive Ports - RX Elastic Buffer and Phase Alignment"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXENPMAPHASEALIGN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXENPMAPHASEALIGN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXPMASETPHASE0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/RXPMASETPHASE1_IN
divider add "TX/RX Datapath Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPCLKFBEAST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPCLKFBWEST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPCLKOUT0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/GTPCLKOUT1_OUT
divider add "Transmit Ports - 8b10b Encoder Control"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXCHARISK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXCHARISK1_IN
divider add "Transmit Ports - TX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXDATA0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXDATA1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXOUTCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXOUTCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXUSRCLK21_IN
divider add "Transmit Ports - TX Driver and OOB signalling"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXN0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXN1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXP0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXP1_OUT
divider add "Transmit Ports - TX PRBS Generator"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXPRBSFORCEERR0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile0_ser16a_i/TXPRBSFORCEERR1_IN

divider add "Loopback and Powerdown Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/LOOPBACK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/LOOPBACK1_IN
divider add "PLL Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/CLK00_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/CLK01_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/PLLLKDET0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/PLLLKDET1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RESETDONE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RESETDONE1_OUT
divider add "Receive Ports - 8b10b Decoder"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXDISPERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXDISPERR1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXNOTINTABLE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXNOTINTABLE1_OUT
divider add "Receive Ports - PRBS Detection"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/PRBSCNTRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/PRBSCNTRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXPRBSERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXPRBSERR1_OUT
divider add "Receive Ports - RX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXDATA0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXDATA1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXRECCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXRECCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXUSRCLK21_IN
divider add "Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXP0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXP1_IN
divider add "Receive Ports - RX Elastic Buffer and Phase Alignment"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXENPMAPHASEALIGN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXENPMAPHASEALIGN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXPMASETPHASE0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/RXPMASETPHASE1_IN
divider add "TX/RX Datapath Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPCLKFBEAST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPCLKFBWEST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPCLKOUT0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/GTPCLKOUT1_OUT
divider add "Transmit Ports - 8b10b Encoder Control"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXCHARISK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXCHARISK1_IN
divider add "Transmit Ports - TX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXDATA0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXDATA1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXOUTCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXOUTCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXUSRCLK21_IN
divider add "Transmit Ports - TX Driver and OOB signalling"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXN0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXN1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXP0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXP1_OUT
divider add "Transmit Ports - TX PRBS Generator"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXPRBSFORCEERR0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile1_ser16a_i/TXPRBSFORCEERR1_IN

divider add "Loopback and Powerdown Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/LOOPBACK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/LOOPBACK1_IN
divider add "PLL Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/CLK00_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/CLK01_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/PLLLKDET0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/PLLLKDET1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RESETDONE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RESETDONE1_OUT
divider add "Receive Ports - 8b10b Decoder"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXDISPERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXDISPERR1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXNOTINTABLE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXNOTINTABLE1_OUT
divider add "Receive Ports - PRBS Detection"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/PRBSCNTRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/PRBSCNTRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXPRBSERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXPRBSERR1_OUT
divider add "Receive Ports - RX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXDATA0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXDATA1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXRECCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXRECCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXUSRCLK21_IN
divider add "Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXP0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXP1_IN
divider add "Receive Ports - RX Elastic Buffer and Phase Alignment"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXENPMAPHASEALIGN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXENPMAPHASEALIGN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXPMASETPHASE0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/RXPMASETPHASE1_IN
divider add "TX/RX Datapath Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPCLKFBEAST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPCLKFBWEST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPCLKOUT0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/GTPCLKOUT1_OUT
divider add "Transmit Ports - 8b10b Encoder Control"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXCHARISK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXCHARISK1_IN
divider add "Transmit Ports - TX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXDATA0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXDATA1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXOUTCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXOUTCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXUSRCLK21_IN
divider add "Transmit Ports - TX Driver and OOB signalling"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXN0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXN1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXP0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXP1_OUT
divider add "Transmit Ports - TX PRBS Generator"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXPRBSFORCEERR0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile2_ser16a_i/TXPRBSFORCEERR1_IN

divider add "Loopback and Powerdown Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/LOOPBACK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/LOOPBACK1_IN
divider add "PLL Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/CLK00_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/CLK01_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/PLLLKDET0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/PLLLKDET1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RESETDONE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RESETDONE1_OUT
divider add "Receive Ports - 8b10b Decoder"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXDISPERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXDISPERR1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXNOTINTABLE0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXNOTINTABLE1_OUT
divider add "Receive Ports - PRBS Detection"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/PRBSCNTRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/PRBSCNTRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXPRBSERR0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXPRBSERR1_OUT
divider add "Receive Ports - RX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXDATA0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXDATA1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXRECCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXRECCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXUSRCLK21_IN
divider add "Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXP0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXP1_IN
divider add "Receive Ports - RX Elastic Buffer and Phase Alignment"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXENPMAPHASEALIGN0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXENPMAPHASEALIGN1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXPMASETPHASE0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/RXPMASETPHASE1_IN
divider add "TX/RX Datapath Ports"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPCLKFBEAST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPCLKFBWEST_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPCLKOUT0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/GTPCLKOUT1_OUT
divider add "Transmit Ports - 8b10b Encoder Control"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXCHARISK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXCHARISK1_IN
divider add "Transmit Ports - TX Data Path interface"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXDATA0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXDATA1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXOUTCLK0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXOUTCLK1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXRESET0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXRESET1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXUSRCLK0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXUSRCLK1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXUSRCLK20_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXUSRCLK21_IN
divider add "Transmit Ports - TX Driver and OOB signalling"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXN0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXN1_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXP0_OUT
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXP1_OUT
divider add "Transmit Ports - TX PRBS Generator"
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXENPRBSTST0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXENPRBSTST1_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXPRBSFORCEERR0_IN
wave add /DEMO_TB/ser16a_top_i/ser16a_i/tile3_ser16a_i/TXPRBSFORCEERR1_IN


run 249 us
quit




