library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux16d8 is
    Port ( AIN : in std_logic_vector(15 downto 0);
           BIN : in std_logic_vector(15 downto 0);
			  CIN : in std_logic_vector(15 downto 0);
           DIN : in std_logic_vector(15 downto 0);
			  EIN : in std_logic_vector(15 downto 0);
           FIN : in std_logic_vector(15 downto 0);
			  GIN : in std_logic_vector(15 downto 0);
           HIN : in std_logic_vector(15 downto 0);
           QOUT : out std_logic_vector(15 downto 0);
           SEL : in std_logic_vector(2 downto 0));
end entity mux16d8;

architecture behavioral of mux16d8 is

begin

mu: process (AIN, BIN, CIN, DIN, EIN, FIN, GIN, HIN, SEL) 
    begin
	   case SEL is
         when '000' => QOUT <= AIN;
         when '001' => QOUT <= BIN;			
         when '010' => QOUT <= CIN;			
         when '011' => QOUT <= DIN;			
         when '100' => QOUT <= EIN;			
         when '101' => QOUT <= FIN;			
         when '110' => QOUT <= GIN;				
         when others => Q <= HIN;
   end case;
   end process mu;

end architecture behavioral;
