library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux32 is
    Port ( A : in std_logic_vector(31 downto 0);
           B : in std_logic_vector(31 downto 0);
			  EN : in std_logic;
           Q : out std_logic_vector(31 downto 0);
           SEL : in std_logic);
end entity mux32;

architecture behavioral of mux32 is

begin

mu: process (A, B, EN, SEL) 
    begin
	  if (EN = '0') then
	  Q <= (others => '0');
	  else
  case SEL is
         when '0' => Q <= A;
         when others => Q <= B;
   end case;
end if;	
   end process mu;

end architecture behavioral;
